CVE-2000-1230
CVSS5.0
发布时间 :2000-12-31 00:00:00
修订时间 :2008-09-05 16:22:58
NMCOE    

[原文]Backdoor in auth.php3 in Phorum 3.0.7 allows remote attackers to access restricted web pages via an HTTP request with the PHP_AUTH_USER parameter set to "boogieman".


[CNNVD]Phorum 3.0.7 auth.php3验证模块存在后门漏洞(CNNVD-200012-205)

        
        Phorum是一款基于PHP的WEB论坛程序,可使用在Linux和Unix操作系统下,也可使用在Microsoft Windows操作系统下。
        Phorum的auth.php3是其它文件的访问控制模块,auth.php3存在一个通用口令,远程攻击者只需在URL里加上PHP_AUTH_USER=boogieman就可以使用"boogieman"通过auth.php3的验证访问受保护的文件。
        远程攻击者可以利用这个漏洞获得对Phorum的控制,并且可以结合Phorum的其它漏洞访问系统的本地文件。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-1230
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-1230
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200012-205
(官方数据源) CNNVD

- 其它链接及资源

http://www.digitalsec.net/stuff/z-mirrors/hispahack/mi020.htm
(PATCH)  MISC  http://www.digitalsec.net/stuff/z-mirrors/hispahack/mi020.htm
http://cert.uni-stuttgart.de/archive/bugtraq/2000/01/msg00215.html
(VENDOR_ADVISORY)  BUGTRAQ  20000106 Phorum 3.0.7 exploits and IDS signatures
http://www.securityfocus.com/bid/2274
(UNKNOWN)  BID  2274

- 漏洞信息

Phorum 3.0.7 auth.php3验证模块存在后门漏洞
中危 访问验证错误
2000-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        Phorum是一款基于PHP的WEB论坛程序,可使用在Linux和Unix操作系统下,也可使用在Microsoft Windows操作系统下。
        Phorum的auth.php3是其它文件的访问控制模块,auth.php3存在一个通用口令,远程攻击者只需在URL里加上PHP_AUTH_USER=boogieman就可以使用"boogieman"通过auth.php3的验证访问受保护的文件。
        远程攻击者可以利用这个漏洞获得对Phorum的控制,并且可以结合Phorum的其它漏洞访问系统的本地文件。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 修改auth.php3,去除通用口令"boogieman"。
        厂商补丁:
        Brian Moon
        ----------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Brian Moon Upgrade Phorum 3.2.11
        
        http://phorum.sourceforge.net/downloads/phorum-3.2.11.tar.gz

- 漏洞信息 (20588)

Phorum 3.0.7 auth.php3 Backdoor Vulnerabililty (EDBID:20588)
php webapps
2000-01-06 Verified
0 Max Vision
N/A [点击下载]
source: http://www.securityfocus.com/bid/2274/info

Phorum is a freely available, open source, popular WWW Board written by Brian Moon. It is designed to enhance the services offered on a web page, allow users to interact with one another through bulletin board chat and discussion.

A problem with the package allows users access to any resources within the bulletin board system. Any file that is access controlled by the auth.php3 script may be accessed, due to a backdoor password written into the script auth.php3. The password "boogieman" will permit users to access files controlled by auth.php3 by simply appending the variable PHP_AUTH_USER=boogieman to the URL. This makes it possible for users with malicious intentions to access any file under the access control of auth.php3, and potentially gain elevated privileges, including access to the local system. 

This vulnerability can be exploited by appending the PHP_USER_AUTH variable to the URL with the password "boogieman" as the value.

http://some.host.com/admin.php3

This file would not be accessible by the unauthenticated user. However,

http://some.host.com/admin.php3?PHP_AUTH_USER=boogieman

will permit access to this file.

		

- 漏洞信息

20185
Phorum auth.php3 PHP_AUTH_USER Parameter Backdoor Password Authentication Bypass
Remote / Network Access Authentication Management
Loss of Integrity
Exploit Public

- 漏洞描述

- 时间线

2000-01-06 Unknow
2000-01-06 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站